## EDataBookViewWatcherCache

EDataBookViewWatcherCache — Watch EDataBookView changes with contacts in EBookCache

## Functions

GObject * | e_data_book_view_watcher_cache_new ()
void | e_data_book_view_watcher_cache_take_sort_fields ()

## Types and Values

struct | EDataBookViewWatcherCache

## Object Hierarchy

        GObject
        ╰── EBookIndicesUpdater
            ╰── EDataBookViewWatcherCache

## Includes

    #include <libedata-book/libedata-book.h>

## Description

A structure used to handle "manual query" views for EBookBackend descendants which use EBookCache to store the contacts.

See `E_BOOK_CLIENT_VIEW_FLAGS_MANUAL_QUERY` for what it means "manual query" view.

## Functions

### e_data_book_view_watcher_cache_new ()

    GObject *
    e_data_book_view_watcher_cache_new (EBookBackend *backend,
                                        EBookCache *cache,
                                        EDataBookView *view);

Creates a new EDataBookViewWatcherCache, which will watch the `view` and will provide the information about indices and total contacts to the `backend` , taking the data from the `cache` .

#### Parameters

backend | an EBookBackend |
cache | an EBookCache |
view | an EDataBookView |

#### Returns

a new EDataBookViewWatcherCache.

[transfer full]

Since: 3.50

### e_data_book_view_watcher_cache_take_sort_fields ()

    void
    e_data_book_view_watcher_cache_take_sort_fields
                                   (EDataBookViewWatcherCache *self,
                                    EBookClientViewSortFields *sort_fields);

Sets `sort_fields` as fields to sort the contacts by. If `NULL`, sorts by file-as field. The function assumes ownership of the `sort_fields` .

#### Parameters

self | an EDataBookViewWatcherCache |
sort_fields | an EBookClientViewSortFields, or `NULL`. | [nullable][transfer full]

Since: 3.50

## Types and Values

### struct EDataBookViewWatcherCache

    struct EDataBookViewWatcherCache;

A structure used to handle "manual query" views for EBookBackend descendants which use EBookCache to store the contacts.

Since: 3.50